package cmm.service;

import java.util.List;

import cmm.util.CmmVO;
import cmm.util.DataMap;
import egovframework.rte.fdl.cmmn.exception.EgovBizException;
import egovframework.rte.fdl.cmmn.exception.FdlException;


public interface CmmService {
	List<DataMap> selectCmmActivityHstAllListTotCnt(DataMap paramMap) throws EgovBizException;
	int selectSatisfactionTotCnt(DataMap paramMap) throws EgovBizException;
	int selectCmmPscHstTotCnt(DataMap paramMap) throws EgovBizException;
	DataMap selectCmmPscHstDetail(DataMap paramMap) throws EgovBizException;
	DataMap selectCmmPmsPostRandom(DataMap paramMap) throws EgovBizException;
	/**
	 * 에셋 상세정보
	 * pick 레이어 사용(좌측 상단)
	 * @param paramMap
	 * @return
	 * @throws EgovBizException
	 */
	DataMap selectCmmAmsAssetsDetail(DataMap paramMap) throws EgovBizException;
	/**
	 * 에셋 미디어 그룹 목록 Cnt
	 * pick 레이어 사용(좌측 목록)Cnt
	 * @param paramMap
	 * @return
	 * @throws EgovBizException
	 */
	List<DataMap> selectCmmAmsAssetsMediaGroupListCnt(DataMap paramMap) throws EgovBizException;
	/**
	 * 에셋 미디어 그룹 목록
	 * pick 레이어 사용(좌측 목록)
	 * @param paramMap
	 * @return
	 * @throws EgovBizException
	 */
	List<DataMap> selectCmmAmsAssetsMediaGroupList(DataMap paramMap) throws EgovBizException;
	List<DataMap> selectCmmAmsAssetsMediaList(DataMap paramMap) throws EgovBizException;
	/**
	 * 에셋 미디어 상세정보
	 * pick 레이어 사용(완문보기  상세정보) 
	 * @param paramMap
	 * @return
	 * @throws EgovBizException
	 */
	DataMap selectCmmAmsAssetsMediaDetail(DataMap paramMap) throws EgovBizException;
	/**
	 * 에셋 미디어 상세정보 (미디어의 INTERFACE_ID 값으로 조회)
	 * pick 레이어 사용(완문보기  상세정보) 
	 * @param paramMap
	 * @return
	 * @throws EgovBizException
	 */
	DataMap selectCmmAmsAssetsMediaDetailByInterfaceId(DataMap paramMap) throws EgovBizException;
	/**
	 * 에셋 미디어 OCR 목록
	 * pick 레이어 사용(문서 완문보기)
	 * @param paramMap
	 * @return
	 * @throws EgovBizException
	 */
	List<DataMap> selectCmmAmsAssetsMediaOcrList(DataMap paramMap) throws EgovBizException;
	/**
	 * 에셋 상세 연관태그 목록
	 * pick 레이어 사용(상세 정보의 연관태그)
	 * @param paramMap
	 * @return
	 * @throws EgovBizException
	 */
	List<DataMap> selectCmmAmsAssetsTagsList(DataMap paramMap) throws EgovBizException;
	/**
	 * 에셋 상세 연속자료 목록 총 수
	 * pick 레이어 사용(상세 정보의 연속자료 목록 총 수)
	 * @param param
	 * @return
	 * @throws EgovBizException
	 */
	int selectCmmAmsAssetsContinueListTotCnt(CmmVO param) throws EgovBizException;
	/**
	 * 에셋 상세 연속자료 목록 
	 * pick 레이어 사용(상세 정보의 연속자료 목록) 
	 * @param param
	 * @return
	 * @throws EgovBizException
	 */
	List<DataMap> selectCmmAmsAssetsContinueList(CmmVO param) throws EgovBizException;
	/**
	 * 에셋 상세 연관 지역문화이야기 목록
	 * pick 레이어 사용(지역문화이야기 목록)
	 * @param paramMap
	 * @return
	 * @throws EgovBizException
	 */
	List<DataMap> selectCmmAmsAssetsThemesContentsList(List paramMap) throws EgovBizException;
	/**
	 * 에셋 상세  다른문화원 소장자료 목록
	 * pick 레이어 사용(다른문화원 소장자료 목록) 
	 * @param paramMap
	 * @return
	 * @throws EgovBizException
	 */
	List<DataMap> selectCmmAmsAssetsDiffSojangList(DataMap paramMap) throws EgovBizException;
	List<DataMap> selectCmmAmsAssetsOriginViewList(DataMap paramMap) throws EgovBizException;
	
	int selectCmmAmsAssetsOriginViewListAjaxCnt(DataMap paramMap) throws EgovBizException;
	List<DataMap> selectCmmAmsAssetsOriginViewListAjax(DataMap paramMap) throws EgovBizException;
	
	DataMap selectCmmAmsAssetsOriginViewDetail(DataMap paramMap) throws EgovBizException;
	int selectCmmScrapCnt(DataMap paramMap) throws EgovBizException;
	void insertSatisfaction(DataMap paramMap) throws EgovBizException;
	void insertCmmSchedulerHst(DataMap paramMap) throws FdlException ,EgovBizException;
	void insertCmmPscHst(DataMap paramMap) throws EgovBizException;
	void updateCmmPscHst(DataMap paramMap) throws EgovBizException;
	void insertCmmScrap(DataMap paramMap) throws EgovBizException;
	void insertCmmActivityHst(DataMap paramMap) throws EgovBizException;
	void updateCmmActivityHst(DataMap paramMap) throws EgovBizException;
	void deleteCmmScrapInfo(DataMap paramMap) throws EgovBizException;
	
	/**
	 * 모바일 디바이스 정보 목록
	 * @param paramMap
	 * @return
	 * @throws EgovBizException
	 */
	List<DataMap> selecCmmMobileDeviceInfoList(DataMap paramMap) throws EgovBizException;
	
   	void insertCmmActivityMediaHst(DataMap paramMap) throws EgovBizException;
   	
   	List<DataMap> selectCmmAmsAssetsTagKeyList(DataMap paramMap) throws EgovBizException;
   	
   	DataMap selectCmmAmsAssetsMediaDetail2(DataMap paramMap) throws EgovBizException;
   	
   	int selectCmmWebzineCnfirm(DataMap paramMap) throws EgovBizException;
   	void insertCmmWebzineSubScribe(DataMap paramMap) throws EgovBizException;

   	void insertCmmMainData(String gubun) throws FdlException ,EgovBizException;
   	DataMap insertCmmExtGiaMainInfo(String contentType) throws FdlException;
   	
   	DataMap selectCmmPscHst(String jsessionId) throws EgovBizException;
   	
	public DataMap getMainLogo() throws EgovBizException;
   	
}
